---
title: Novu
description: Novu API client.
---

The [Novu API](https://novu.co) provides a router for sending notifications across different channels like Email, SMS, Chat, In-App, and Push.

- package: `@agentic/novu`
- exports: `class NovuClient`, `namespace novu`
- env vars: `NOVU_API_KEY`
- [source](https://github.com/transitive-bullshit/agentic/blob/main/packages/novu/src/novu-client.ts)
- [novu api docs](https://novu.co)

## Install

<CodeGroup>
```bash npm
npm install @agentic/novu
```

```bash yarn
yarn add @agentic/novu
```

```bash pnpm
pnpm add @agentic/novu
```

</CodeGroup>

## Usage

```ts
import { NovuClient } from '@agentic/novu'

const novu = new NovuClient()
const res = await novu.search('latest news')
```
